Robot Simulator of the Robotics Group for Self-Organization of Control: SliderWheelieConf Struct Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SliderWheelieConf Struct Reference

`#include <sliderwheelie.h>`

List of all members.

## Public Types
| Servo
| CenteredServo
| AngularMotor
enum | MotorType { Servo, CenteredServo, AngularMotor }
## Public Attributes
int | segmNumber
| number of snake elements
double | segmLength
| length of one snake element
double | segmDia
| diameter of a snake element
double | segmMass
| mass of one snake element
double | motorPower
| power of the motors / servos
double | motorDamp
| damping of motors
double | powerRatio
| ratio of motorpower for hinge vs. slider
double | sensorFactor
| scale for sensors
double | frictionGround
| friction with ground
double | frictionJoint
| friction within joint
double | jointLimitIn
| maximal angle for the joints to the inside (M_PI/2 = 90 degree)
double | jointLimitOut
| maximal angle for the joints to the outside
double | sliderLength
| length of the slider in segmLength (0 for no sliders)
MotorType | motorType
| whether to use servos or angular motors

## Member Enumeration Documentation

enum MotorType

Enumerator:

  Servo |
  CenteredServo |
  AngularMotor |

## Member Data Documentation

double frictionGround

friction with ground

double frictionJoint

friction within joint

double jointLimitIn

maximal angle for the joints to the inside (M_PI/2 = 90 degree)

double jointLimitOut

maximal angle for the joints to the outside

double motorDamp

damping of motors

double motorPower

power of the motors / servos

MotorType motorType

whether to use servos or angular motors

double powerRatio

ratio of motorpower for hinge vs. slider

double segmDia

diameter of a snake element

double segmLength

length of one snake element

double segmMass

mass of one snake element

int segmNumber

number of snake elements

double sensorFactor

scale for sensors

double sliderLength

length of the slider in segmLength (0 for no sliders)

The documentation for this struct was generated from the following file:

- sliderwheelie.h